Crash - JavaScript SWF on Nightly 10.0a1 and Aurora 9.0a2 - [@ pctbdcore.dll@0xae56f ]

RESOLVED WORKSFORME

Status

External Software Affecting Firefox
Flash (Adobe)
--
critical
RESOLVED WORKSFORME
7 years ago
2 years ago

People

(Reporter: Rob, Unassigned)

Tracking

({crash})

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

(Reporter)

Description

7 years ago
Reported from bp-14cdbef0-6c24-45ca-92aa-606782111030 .

The "Crashing Thread" is really short: mozjs.dll -> NPSWF32.dll -> PCTBDCore.dll .

Updated

7 years ago
Severity: normal → critical
Component: General → Flash (Adobe)
Keywords: crash
Product: Firefox → Plugins
QA Contact: general → adobe-flash
Version: 10 Branch → unspecified
(Reporter)

Comment 1

7 years ago
I noticed the "Importance:" was increased.

I have "Shockwave Flash 11.0.1.152" and Shockwave for Director 11.6.1.629".

Our PiC Page (https://www.mozilla.org/en-US/plugincheck/) reports all my Plugins are up to date.
(Reporter)

Comment 2

7 years ago
Nightly, bp-f2f67007-dd20-459d-9e1c-57ae42111105, a longer "Crashing Thread" starting at mozutils.dll je_malloc . 

When these crashes occur there is no "Error Reporter" popup. The PiC Page still says I am up to date.
Version: unspecified → 10.0
(Reporter)

Updated

7 years ago
Summary: Crash - JavaScript SWF on Aurora 9.0a2 - [@ pctbdcore.dll@0xae56f ] → Crash - JavaScript SWF on Nightly 10.0a1 and Aurora 9.0a2 - [@ pctbdcore.dll@0xae56f ]
(Reporter)

Comment 3

7 years ago
(In reply to Rob from comment #1)
> I have "Shockwave Flash 11.0.1.152" and Shockwave for Director 11.6.1.629".
> 
> Our PiC Page (https://www.mozilla.org/en-US/plugincheck/) reports all my
> Plugins are up to date.

That has been corrected, the old Plugins are now listed as such.

-----

There is a new set of Updates that MIGHT address this Bug, the Update is mandatory in any event:

Security update available for Adobe Flash Player 	Release date: November 10, 2011 - This update resolves a memory corruption, heap corruption, buffer overflow, stack overflow and a cross-domain policy bypass (Internet Explorer-only) vulnerability ...
http://www.adobe.com/support/security/bulletins/apsb11-28.html

Security update available for Adobe Shockwave Player 	Release date: November 8, 2011 	- This update resolves a memory corruption vulnerability ...
http://www.adobe.com/support/security/bulletins/apsb11-27.html


----- Before Update: https://www.mozilla.org/en-US/plugincheck/ -----

Plugin Details 				Status 		Action

Vulnerable plugins:

Shockwave Flash 			Vulnerable 
Shockwave Flash 11.0 r1 		(more info) 	Update Now

Shockwave for Director 			Vulnerable 
Adobe Shockwave for Director Netscape 	(more info) 	Update Now
plug-in, version 11.6.1.629


Shockwave Flash Solution: Adobe recommends users of Adobe Flash Player 11.0.1.152 and earlier versions for Windows, Macintosh, Linux and Solaris upgrade to the newest version 11.1.102.55 by downloading it fromhttp://get.adobe.com/flashplayer/ .

Shockwave for Director Solution: Adobe recommends users of Adobe Shockwave Player 11.6.1.629 and earlier versions upgrade to the newest version 11.6.3.633 available here: http://get.adobe.com/shockwave/ .


----- After Update: https://www.mozilla.org/en-US/plugincheck/ -----

Plugin Details 				Status 		Action

Shockwave Flash
Shockwave Flash 11.1 r102 		11.1.102.55 	Up to Date

Shockwave for Director
Adobe Shockwave for Director Netscape 	11.6.3.633 	Up to Date
plug-in, version 11.6.3.633
(Reporter)

Comment 4

7 years ago
Same crash (Shockwave Flash 11.1.102.55):
Date Processed 	2011-11-19 04:22:25 	bp-a0cc0a73-7bbc-4868-b357-b7be42111119
Date Processed 	2011-11-19 04:22:06 	bp-dc517fac-1008-4fbc-9dfc-b9e2a2111119


These related crashes also occurred:

Signature 	hang | NtRaiseHardError
UUID 		bp-fc2e04eb-7aa6-4eb9-94b2-1f5bd2111119
Date Processed 	2011-11-19 04:22:59.1988
Process Type 	plugin Version: Filename: NPSWF32.dll


Signature 	hang | NtUserMessageCall | RealDefWindowProcW
UUID 		f059ea09-69b1-4a75-a114-a6c9a2111119
Date Processed 	2011-11-19 04:23:24.405350
Process Type 	plugin Version: Filename: NPSWF32.dll
Uptime 		17010


Unrelated, but occurred at the same time:

Signature 	hang | mozilla::plugins::PPluginInstanceParent::CallNPP_SetWindow(mozilla::plugins::NPRemoteWindow const&)
UUID 		bp-18df30c2-c9f5-4dd3-bdb7-e37412111119
Date Processed 	2011-11-19 04:23:10.453305
Process Type 	(field not present)
Uptime 		17157



Also got (on 11/19/2011 @ 4:22): bp-95679cc3-df7f-4012-b3aa-8e45e2111119

"
Error

Something bad happened. It's not you, it's me.

Please submit a Bugzilla ticket describing what happened, and please include the URL for this page.
"
.
(Reporter)

Comment 5

6 years ago
Still, rarely, occurs.

Date Processed 	2011-12-13 07:01:18.765080 	bp-d8a2d35f-a25d-4993-9195-203512111213 .
(Reporter)

Comment 6

6 years ago
Have not seen this occur this year. Flash has been updated many times since then.

Closing WFM.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WORKSFORME

Comment 7

2 years ago
Version and milestone values are being reset to defaults as part of product refactoring.
Version: 10.0 → unspecified
You need to log in before you can comment on or make changes to this bug.